###  | #  |

element_reference_type< ColorBase > Struct Template Reference
ColorBase » Algorithms and Utility Functions » element_type, element_reference_type, element_const_reference_type

Specifies the return type of the mutable element accessor at_c of a homogeneous color base. More...

`#include <color_base_algorithm.hpp>`

Inherits kth_element_reference_type< ColorBase, K >.

## Detailed Description

template<typename ColorBase>
struct boost::gil::element_reference_type< ColorBase >

Specifies the return type of the mutable element accessor at_c of a homogeneous color base.

The documentation for this struct was generated from the following file:

- color_base.hpp